Publish a version of a rego policy
curl --request PUT \
--url https://app.kosli.com/api/v2/rego-policies/{org}/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": {},
"name": "<string>",
"description": "<string>",
"comment": ""
}
'import requests
url = "https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}"
payload = {
"files": {},
"name": "<string>",
"description": "<string>",
"comment": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: {}, name: '<string>', description: '<string>', comment: ''})
};
fetch('https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
],
'name' => '<string>',
'description' => '<string>',
'comment' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}"
payload := strings.NewReader("{\n \"files\": {},\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comment\": \"\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": {},\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comment\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": {},\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comment\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"identifier": "<string>",
"version": 123,
"status": "pending",
"digest": "<string>",
"input_schema": "trail",
"comment": "<string>",
"created_at": 123,
"created_by": "<string>",
"validated_at": 123,
"opa_version": "<string>",
"entrypoint": "<string>",
"entrypoint_path": "<string>",
"params_schema": {},
"error": {
"kind": "<string>",
"message": "<string>"
}
}{
"message": "Input payload validation failed"
}{
"message": "You don't have permission to access this resource"
}{
"message": "The policy bundle is over the file or byte limit"
}{
"message": "Database temporarily unavailable; retry the request."
}Publish a version of a rego policy
Beta — the Controls feature is in beta. Requests from organizations without it enabled receive 403 Forbidden.
PUT
/
rego-policies
/
{org}
/
{identifier}
Publish a version of a rego policy
curl --request PUT \
--url https://app.kosli.com/api/v2/rego-policies/{org}/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": {},
"name": "<string>",
"description": "<string>",
"comment": ""
}
'import requests
url = "https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}"
payload = {
"files": {},
"name": "<string>",
"description": "<string>",
"comment": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: {}, name: '<string>', description: '<string>', comment: ''})
};
fetch('https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
],
'name' => '<string>',
'description' => '<string>',
'comment' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}"
payload := strings.NewReader("{\n \"files\": {},\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comment\": \"\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": {},\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comment\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kosli.com/api/v2/rego-policies/{org}/{identifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": {},\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"comment\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"identifier": "<string>",
"version": 123,
"status": "pending",
"digest": "<string>",
"input_schema": "trail",
"comment": "<string>",
"created_at": 123,
"created_by": "<string>",
"validated_at": 123,
"opa_version": "<string>",
"entrypoint": "<string>",
"entrypoint_path": "<string>",
"params_schema": {},
"error": {
"kind": "<string>",
"message": "<string>"
}
}{
"message": "Input payload validation failed"
}{
"message": "You don't have permission to access this resource"
}{
"message": "The policy bundle is over the file or byte limit"
}{
"message": "Database temporarily unavailable; retry the request."
}Authorizations
Body
application/json
Response
Successful Response